Subject: RE: PIMSM

From: "Shekhar, Ravi" <[email-masked]>
Date: Thu, 21 Oct 1999 13:47:13 -0400

>  When RP receives register message, it will create SG with *G oif -
> iif(SG). But, if *g and SG comes via the same interface, oif 
> for SG will be
> null and join/prune towards S will not be send. So, How this 
> kind of case
> will work???

  Normally, RP will decapsulate the register message and forward 
  it on oifs of <*, G> regardless of which intf it came in on.

  But if RP decides to switch to SPT, section 3.2.1 Periodic J/P
  point 2.3:
 
  >      2 A particular source address, S, is included in the join
  >        list with the RPT and WC bits cleared under the following
  >        conditions:
  >
  >           1 The Join/Prune message is being sent to the RPF
  >             neighbor toward S, and
  >
  >           2 There exists an active (S,G) entry with the RPT-bit
  >             flag cleared, and
  >
  >           3 The oif list in the (S,G) entry is not null.

  fails to cover it. I think it should be modified to 
        
     "The oif list in the (S,G) entry is not null OR
      the router is the RP for <*, G>"
  
  And if its desirable to cover IGMPv3 style <S, G> local group 
  memberships, one can also add: 
      "OR the router is the DR on the same interface as the RPF nbr
       and has <S, G>SPT local group membership"

  Comments?

  - Ravi Shekhar.